## python-defaults 2.6.6-3+squeeze6

=== Makefile ===
#!/usr/bin/make -f
INSTALL ?= install
PREFIX ?= /usr/local

clean:
	make -C tests clean
	make -C pydist clean
	find . -name '*.py[co]' -delete
	rm -f .coverage

install-dev:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/python/runtime.d \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/ \
		$(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/
	$(INSTALL) -m 755 runtime.d/* $(DESTDIR)$(PREFIX)/share/python/runtime.d/
	$(INSTALL) -m 644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts/
	$(INSTALL) -m 755 dh_python2 $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 644 python2.pm $(DESTDIR)$(PREFIX)/share/perl5/Debian/Debhelper/Sequence/

install-runtime:
	$(INSTALL) -m 755 -d $(DESTDIR)$(PREFIX)/share/python/debpython $(DESTDIR)$(PREFIX)/bin
	$(INSTALL) -m 644 debpython/*.py $(DESTDIR)$(PREFIX)/share/python/debpython/
	$(INSTALL) -m 755 pycompile $(DESTDIR)$(PREFIX)/bin/
	$(INSTALL) -m 755 pyclean $(DESTDIR)$(PREFIX)/bin/

install: install-dev install-runtime

dist_fallback:
	make -C pydist $@

nose:
	nosetests --with-doctest --with-coverage

tests: nose
	make -C tests

test%:
	make -C tests $@

check_versions:
	@PYTHONPATH=. set -e; \
	DEFAULT=`python -c 'import debpython.version as v; print v.vrepr(v.DEFAULT)'`;\
	SUPPORTED=`python -c 'import debpython.version as v; print " ".join(sorted(v.vrepr(v.SUPPORTED)))'`;\
	DEB_DEFAULT=`sed -rn 's,^default-version = python([0.9.]*),\1,p' debian/debian_defaults`;\
	DEB_SUPPORTED=`sed -rn 's|^supported-versions = (.*)|\1|p' debian/debian_defaults | sed 's/python//g;s/,//g'`;\
	[ "$$DEFAULT" = "$$DEB_DEFAULT" ] || \
	(echo 'Please update DEFAULT in debpython/version.py' >/dev/stderr; false);\
	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
	(echo 'Please update SUPPORTED in debpython/version.py' >/dev/stderr; false)

.PHONY: clean tests test% check_versions

=== tests/Makefile ===
#!/usr/bin/make -f

all: test1

test%:
	(cd t$*; debuild -us -uc)

clean:
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb
	(cd t1; ./debian/rules clean)
	@find . -name '*\.egg-info' -exec rm -rf "{}" \; || true

.PHONY: clean

=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 6.0.7~)
Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils (>= 0.4-3)
Standards-Version: 3.9.1
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files

Package: python
Architecture: all
Priority: standard
Depends: ${misc:Depends}, python2.6 (>= 2.6.6-1~), python-minimal (= ${binary:Version})
Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version}), python-profiler (= ${binary:Version})
Conflicts: python-central (<< 0.5.5)
Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3)
Replaces: python-dev (<< 2.6.5-2)
Provides: python-email, python-ctypes, python-wsgiref
Description: interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.6).

Package: python-minimal
Architecture: all
Priority: standard
Depends: ${misc:Depends}, python2.6-minimal (>= 2.6.6-1~), dpkg (>= 1.13.20)
Recommends: python
Conflicts: python-central (<< 0.5.5)
Breaks: python (<= 2.4-1), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2)
Replaces: python (<= 2.4-1)
Description: minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python2.6-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python-examples
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.6-examples (>= 2.6.6-1~)
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.6).

Package: python-dev
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.6-dev (>= 2.6.6-1~)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.6).

Package: idle
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python-tk (>= 2.4.3-3), idle-python2.6
Enhances: python
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.6) of IDLE.

Package: python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, python2.6-doc (>= 2.6.6-1~)
Suggests: python-examples, python (= ${binary:Version})
Breaks: python (<< 2.3.5)
Replaces: python (<< 2.3.5)
Description: documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.6). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.6).

Package: python-dbg
Architecture: all
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.6-dbg (>= 2.6.6-1~)
Provides: python-gdbm-dbg, python-tk-dbg
Description: debug build of the Python Interpreter (version 2.6)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.6/lib-dynload/debug first.

Package: python-all
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.5 (>= 2.5.5-6), python2.6 (>= 2.6.5-2)
Description: package depending on all supported Python runtime versions
 The package currently depends on python2.5 and python2.6, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python runtimes.

Package: python-all-dev
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dev (= ${binary:Version}), python2.5-dev (>= 2.5.5-6), python2.6-dev (>= 2.6.5-2)
Description: package depending on all supported Python development packages
 The package currently depends on python2.5-dev and python2.6-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

Package: python-all-dbg
Architecture: all
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.5-dbg (>= 2.5.5-6), python2.6-dbg (>= 2.6.5-2)
Description: package depending on all supported Python debugging packages
 The package currently depends on python2.5-dbg and python2.6-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))

distribution := $(shell lsb_release -is)

export VER=2.6
export NVER=2.7
export PVER=python2.6

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
PREVVER := 2.6.6-1~

PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build: stamp-build
stamp-build:
	touch stamp-build

stamp-doc-policy:
	debiandoc2text debian/python-policy.sgml
	mv -f python-policy.txt debian/
	debiandoc2html debian/python-policy.sgml
	rm -rf debian/python-policy.html
	mv -f python-policy.html debian/
	make -C pydist README.PyDist.html
	touch stamp-doc-policy

stamp-doc: stamp-doc-policy
	touch stamp-doc

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
		<debian/control.in >debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

faqs = index general programming library extending windows gui installed
get-faq:
	rm -rf faq
	mkdir faq
	cd faq && \
	  wget -nv $(foreach p,$(faqs),http://python.org/doc/faq/$(p).ht)
	sed 's,\<\([a-zA-Z0-9]*\.html\)\>,faq/\1,' faq/index.ht \
		| awk '/^Translations$$/ {exit} {print}' > faq/FAQ.ht
	( \
	  echo ''; \
	  echo 'This is a local copy of the online FAQ located at'; \
	  echo 'http://python.org/doc/faq.'; \
	  echo "The copy was fetched and generated in `date '+%B %Y'`."; \
	) >> faq/FAQ.ht
	rm -f faq/index.ht

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	rm -f debian/python-policy.txt
	rm -rf debian/python-policy.html
	rm -f faq/*.h2 faq/*.html

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs usr/share/doc/python/faq
	dh_install

	set -e; \
	cd faq && \
	for p in *.ht; do \
	  p=`basename $$p .ht`; \
	  echo $(rst2html) $$p.ht $$p.html; \
	  awk 'NR > 2' $$p.ht > $$p.ht2; \
	  $(rst2html) $$p.ht2 $$p.html; \
	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
	  rm -f $$p.ht2; \
	done
	mv debian/python/usr/share/doc/python/faq/FAQ.html \
		debian/python/usr/share/doc/python/

	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	make check_versions
	DESTDIR=debian/python PREFIX=/usr make install-dev
	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make -C pydist dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install stamp-doc
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

	: # provide the python and python.1 defaults
	mkdir -p debian/python-minimal/usr/bin
	ln -sf python$(VER) debian/python-minimal/usr/bin/python
	mkdir -p debian/python-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python-minimal/usr/share/man/man1/python.1.gz

	: # 
	mkdir -p debian/python-minimal/usr/share/python
	cp -p debian/debian_defaults \
		debian/python-minimal/usr/share/python/

	install -m 755 debian/pyversions.py \
		debian/python-minimal/usr/share/python/
	install -m 644 debian/pyversions.1 \
		debian/python-minimal/usr/share/man/man1/
	dh_link -ppython /usr/share/python/pyversions.py /usr/bin/pyversions

#	install -m 755 debian/pycompile \
#		debian/python-minimal/usr/bin/
#	install -m 755 debian/pyclean \
#		debian/python-minimal/usr/bin/

#	mkdir debian/python-minimal/usr/share/python-central
#	cp -p debian/python.pycentral debian/python-minimal/usr/share/python-central/

	mkdir -p debian/python/usr/bin
	ln -sf pydoc$(VER) debian/python/usr/bin/pydoc
	ln -sf pygettext$(VER) debian/python/usr/bin/pygettext
	ln -sf pdb$(VER) debian/python/usr/bin/pdb
	ln -sf 2to3-$(VER) debian/python/usr/bin/2to3

	mkdir -p debian/python/usr/share/python
	install -m 644 debian/python.mk \
		debian/python/usr/share/python/

	mkdir -p debian/python/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python/usr/share/man/man1/pydoc.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python/usr/share/man/man1/pygettext.1.gz
	ln -sf pdb$(VER).1.gz \
		debian/python/usr/share/man/man1/pdb.1.gz

	mkdir -p debian/python/usr/share/doc/python
	cp -a debian/python-policy.{html,sgml,txt} \
		debian/python/usr/share/doc/python/

	mkdir -p debian/python/usr/share/pixmaps
	ln -sf python$(VER).xpm debian/python/usr/share/pixmaps/python.xpm

	: # add symlinks to policy files
	mkdir -p debian/python/usr/share/doc/python$(VER)
	for ext in html sgml.gz txt.gz; do \
	  ln -sf ../python/python-policy.$$ext \
		debian/python/usr/share/doc/python$(VER)/python-policy.$$ext; \
	done

ifeq ($(with_doc),yes)
	mkdir -p debian/python-doc/usr/share/doc/python
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python/html
	mkdir -p debian/python-doc/usr/share/doc/python-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python-doc/html
endif

	mkdir -p debian/python/usr/share/apps/konsole
	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/

	: # provide the python-config default
	mkdir -p debian/python-dev/usr/bin
	ln -sf python$(VER)-config debian/python-dev/usr/bin/python-config

	: # provide the python-dbg and python-dbg.1 defaults
	mkdir -p debian/python-dbg/usr/bin
	ln -sf python$(VER)-dbg debian/python-dbg/usr/bin/python-dbg
	ln -sf python$(VER)-dbg-config debian/python-dbg/usr/bin/python-dbg-config
	mkdir -p debian/python-dbg/usr/share/man/man1
	ln -sf python$(VER)-dbg.1.gz \
		debian/python-dbg/usr/share/man/man1/python-dbg.1.gz
	mkdir -p debian/python-dbg/usr/share/doc/python
	ln -sf ../python$(VER)/SpecialBuilds.txt.gz \
		debian/python-dbg/usr/share/doc/python/SpecialBuilds.txt.gz
	ln -sf ../python$(VER)/README.debug \
		debian/python-dbg/usr/share/doc/python/README.debug

	mkdir -p debian/python/usr/lib/valgrind
	cp -p debian/valgrind-python.supp \
		debian/python/usr/lib/valgrind/python.supp

	: # provide the idle and idle.1 defaults
	mkdir -p debian/idle/usr/bin
	install -m 755 debian/idle.py debian/idle/usr/bin/idle

	mkdir -p debian/idle/usr/share/man/man1
	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1

	mkdir -p debian/idle/usr/share/pixmaps
	ln -sf python.xpm debian/python/usr/share/pixmaps/idle.xpm

	mkdir -p debian/idle/usr/share/applications
	cp -p debian/idle.desktop debian/idle/usr/share/applications/

#	dh_installdebconf -i $(NOPKGS)

=== tests/t1/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_pysupport:
	find debian/ -name jquery.js -exec \
	ln -fs /usr/share/javascript/jquery/jquery.js '{}' \;
	DH_VERBOSE=1 ../../dh_python2\
		--depends 'SQLAlchemy >= 0.6.1'\
		--recommends Mako\
		--suggests 'Foo >= 0.1'\
		--suggests 'bar >= 1.0'

=== tests/t1/debian/control ===
Source: foo
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python-all
Standards-Version: 3.9.0
XS-Python-Version: >= 2.4

Package: python-foo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Enhances: ${python:Enhances}
Breaks: ${python:Breaks}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: foo to rule them all
 exemple package #1

## python-defaults 2.7.1-0ubuntu5

=== Makefile ===
--- 
+++ 
@@ -29,15 +29,6 @@
 dist_fallback:
 	make -C pydist $@
 
-nose:
-	nosetests --with-doctest --with-coverage
-
-tests: nose
-	make -C tests
-
-test%:
-	make -C tests $@
-
 check_versions:
 	@PYTHONPATH=. set -e; \
 	DEFAULT=`python -c 'import debpython.version as v; print v.vrepr(v.DEFAULT)'`;\
@@ -49,4 +40,20 @@
 	[ "$$SUPPORTED" = "$$DEB_SUPPORTED" ] || \
 	(echo 'Please update SUPPORTED in debpython/version.py' >/dev/stderr; false)
 
+pdebuild:
+	pdebuild --debbuildopts -I
+
+# TESTS
+nose:
+	nosetests --with-doctest --with-coverage
+
+unittests:
+	python2.7 -m unittest discover -v
+
+tests: nose
+	make -C tests
+
+test%:
+	make -C tests $@
+
 .PHONY: clean tests test% check_versions

=== tests/t2/Makefile ===
#!/usr/bin/make -f

all: run check


run: clean
	dpkg-buildpackage -b -us -uc

check:
	test -f debian/python-foo/usr/lib/python2.6/dist-packages/foo.py
	test -f debian/python-foo/usr/lib/python2.6/dist-packages/bar/bar.py

clean:
	./debian/rules clean

=== tests/t3/Makefile ===
#!/usr/bin/make -f

all: run check

DPY=$(shell pyversions -d)

run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -q "pycompile -p python-foo /usr/lib/python-foo -V $(shell pyversions -vd)"\
		debian/python-foo/DEBIAN/postinst
	test -f debian/python-foo/usr/lib/${DPY}/dist-packages/foo/bar.so
	test ! -f debian/python-foo/usr/share/pyshared/foo/bar.so

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info build

=== debian/changelog ===
python-defaults (2.7.1-0ubuntu5) natty; urgency=low

  * Merge changes from 2.6.6-10:
  * dh_python2: fix moving files from old debug locations (due to typo)
  * python-minimal now Breaks python-support << 1.0.10ubuntu2 (Python 2.7
    support was 1.0.10ubuntu2 in Ubuntu (1.0.12 in Debian))
  * pycompile: skip dangling symlinks

 -- Scott Kitterman <scott@kitterman.com>  Tue, 11 Jan 2011 14:45:20 -0500

python-defaults (2.7.1-0ubuntu4) natty; urgency=low

  * Merge changes from 2.6.6-9:
  * dh_python2: fix a crash in packages with private extension (closes: 607555)
    - test3 added (to test architecture dependent packages)

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Dec 2010 10:32:32 +0100

python-defaults (2.7.1-0ubuntu3) natty; urgency=low

  * Ignore errors running the rtupdate install script. Needs
    proper fixes for 11.04.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Dec 2010 01:41:14 +0100

python-defaults (2.7.1-0ubuntu2) natty; urgency=low

  * Merge changes from 2.6.6-7:

  * pycompile:
    - Don't over-optimize, check the timestamps of byte-code files.
    - Add options -f/--force, -O.
    - Copy stdout/stderr of py_compile processes in case of error.
    - Propagate the exit value of the py_compile processes.
    - Update manual page.
  * Bump depends to require the fixed pycompile for dh_python2 based package
    builds.
  * Don't touch the standard python library in rtupdate scripts.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Dec 2010 01:05:47 +0100

python-defaults (2.7.1-0ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Package priorities and status.
    - Python-2.6 is the only supported python2.x version.
    - Adjust version numbers in maintainer scripts.
  * Default to python2.7.
  * python-dev: Provide a python.pc pkgconfig file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Dec 2010 16:02:08 +0100

python-defaults (2.6.6-6) experimental; urgency=low

  * dh_python2:
    - make the error message about missing extension more clear
      (and more verbose in --verbose mode)
    - install files listed in debian/pkg.pyinstall file
      as public modules for all requested Python versions (use dh_install's
      package.install files for private modules)
    - remove public modules listed in debian/pkg.pyremove (glob.glob pattern
      and version range can be used in both .pyinstall and .pyremove files)
    - create symlinks for files installed into /usr/share/pyshared/ if there
      are no other public modules available
  * pycompile:
    - `pycompile $DESTDIR/usr/lib/python*` will recognize public
      site-packages directories and use the right interpreter instead of
      raising KeyError
    - do not try to check if interpreter is present when version range is
      empty

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 01 Dec 2010 19:43:50 +0100

python-defaults (2.6.6-5ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Package priorities and status.
    - Python-2.6 is the only supported python2.x version.
    - Adjust version numbers in maintainer scripts.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Oct 2010 18:19:09 +0200

python-defaults (2.6.6-5) experimental; urgency=low

  * pycompile: if installed Python is requested via -V option, use it even if
    it's not in a list of supported Python versions (closes: 600529)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 17 Oct 2010 23:22:22 +0200

python-defaults (2.6.6-4) experimental; urgency=low

  * Add python2.7 as a supported Python version.
  * python-all{,-dev,-dbg}: Depend on the 2.7 packages.
  * Run the rtinstall script, when 2.7 became a supported version (2.6.6-4)
    and python2.7 is installed.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Oct 2010 11:58:31 +0200

python-defaults (2.6.6-3ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Package priorities and status.
    - Python-2.6 is the only supported python2.x version.
    - Adjust version numbers in maintainer scripts.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Oct 2010 10:51:04 +0200

=== debian/control ===
Source: python-defaults
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
Build-Depends: debhelper (>= 6.0.7~)
Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils (>= 0.4-3)
Standards-Version: 3.9.1
Homepage: http://www.python.org/
Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files

Package: python
Architecture: all
Priority: important
Depends: ${misc:Depends}, python2.7 (>= 2.7.1-1~), python-minimal (= ${binary:Version})
Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version}), python-profiler (= ${binary:Version})
Conflicts: python-central (<< 0.5.5)
Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3)
Replaces: python-dev (<< 2.6.5-2)
Provides: python-email, python-ctypes, python-wsgiref, python-importlib
Description: interactive high-level object-oriented language (default version)
 Python, the high-level, interactive object oriented language,
 includes an extensive class library with lots of goodies for
 network programming, system administration, sounds and graphics.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-minimal
Architecture: all
Essential: yes
Priority: required
Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.1-1~), dpkg (>= 1.13.20)
Recommends: python
Conflicts: python-central (<< 0.5.5)
Breaks: python (<= 2.4-1), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
Replaces: python (<= 2.4-1)
Description: minimal subset of the Python language (default version)
 This package contains the interpreter and some essential modules.  It's used
 in the boot process for some basic tasks.
 See /usr/share/doc/python2.7-minimal/README.Debian for a list of the modules
 contained in this package.

Package: python-examples
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-examples (>= 2.7.1-1~)
Description: examples for the Python language (default version)
 Examples, Demos and Tools for Python. These are files included in
 the upstream Python distribution.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dev
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dev (>= 2.7.1-1~)
Description: header files and a static library for Python (default)
 Header files, a static library and development tools for building
 Python modules, extending the Python interpreter or embedding Python
 in applications.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: idle
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python-tk (>= 2.4.3-3), idle-python2.7
Enhances: python
Description: IDE for Python using Tkinter (default version)
 IDLE is an Integrated Development Environment for Python.
 IDLE is written using Tkinter and therefore quite platform-independent.
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7) of IDLE.

Package: python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, python2.7-doc (>= 2.7.1-1~)
Suggests: python-examples, python (= ${binary:Version})
Breaks: python (<< 2.3.5)
Replaces: python (<< 2.3.5)
Description: documentation for the high-level object-oriented language Python
 This is the official set of documentation for the interactive high-level
 object-oriented language Python (v2.7). All documents are provided
 in HTML format, some in info format. The package consists of nine documents:
 .
   * Tutorial
   * Python Library Reference
   * Macintosh Module Reference
   * Python Language Reference
   * Extending and Embedding Python
   * Python/C API Reference
   * Installing Python Modules
   * Documenting Python
   * Distributing Python Modules
 .
 This package is a dependency package, which depends on Debian's default
 Python version (currently v2.7).

Package: python-dbg
Architecture: all
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dbg (>= 2.7.1-1~)
Provides: python-gdbm-dbg, python-tk-dbg
Description: debug build of the Python Interpreter (version 2.7)
 Python interpreter configured with --pydebug. Dynamically loaded modules are
 searched in /usr/lib/python2.7/lib-dynload/debug first.

Package: python-all
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python2.6 (>= 2.6.5-2), python2.7 (>= 2.7-7)
Description: package depending on all supported Python runtime versions
 The package currently depends on python2.6 and python2.7, in the future,
 dependencies on jython (Python for a JVM) and ironpython (Python for Mono)
 may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python runtimes.

Package: python-all-dev
Architecture: all
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dev (= ${binary:Version}), python2.6-dev (>= 2.6.5-2), python2.7-dev (>= 2.7-7)
Description: package depending on all supported Python development packages
 The package currently depends on python2.6-dev and python2.7-dev, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

Package: python-all-dbg
Architecture: all
Section: debug
Priority: extra
Depends: ${misc:Depends}, python (= ${binary:Version}), python-all (= ${binary:Version}), python-dbg (= ${binary:Version}), python2.6-dbg (>= 2.6.5-2), python2.7-dbg (>= 2.7-7)
Description: package depending on all supported Python debugging packages
 The package currently depends on python2.6-dbg and python2.7-dbg, in the
 future, dependencies on jython (Python for a JVM) and ironpython (Python
 for Mono) may be added.
 .
 This package is used as a build dependency for other packages to
 avoid hardcoded dependencies on specific Python development packages.

=== tests/t1/debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@
+	dh $@ --buildsystem=python_distutils
 
 override_dh_pysupport:
 	find debian/ -name jquery.js -exec \

=== tests/t3/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:
	# install also as private extension
	dh_install debian/python-foo/usr/lib/`pyversions -d`/dist-packages/foo/bar.so \
		/usr/lib/python-foo/
	DH_VERBOSE=1 ../../dh_python2

## python-defaults 2.7.1-0ubuntu5.1

=== tests/Makefile ===
#!/usr/bin/make -f

# enable or disable tests here:
TESTS := test1 test2 test3

all: $(TESTS)

test%:
	make -C t$* run
	make -C t$* check

clean-test%:
	make -C t$* clean

clean: $(TESTS:%=clean-%)
	rm -f *\.dsc *\.tar\.gz *\.build *\.changes *\.deb
	@find . -prune -name '*.egg-info' -exec rm -rf '{}' ';' || true

.PHONY: clean

=== tests/t1/Makefile ===
#!/usr/bin/make -f

all: run check


run: clean
	dpkg-buildpackage -b -us -uc

check:
	grep -q "Depends: .*python-mako" debian/python-foo/DEBIAN/control
	test -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/__init__.py
	test ! -f debian/python-foo/usr/lib/python2.6/dist-packages/foo/spam.py

clean:
	./debian/rules clean
	rm -rf lib/Foo.egg-info

=== debian/changelog ===
python-defaults (2.7.1-0ubuntu5.1) natty-proposed; urgency=low

  * Backport patch from 2.6.6-11: (LP: #915167)
    - pycompile: use /usr/bin/pythonX.Y rather than pythonX.Y (to avoid
      /usr/local interpreters)

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 15 Feb 2012 14:52:26 -0800

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,12 @@
 
 distribution := $(shell lsb_release -is)
 
-export VER=2.6
-export NVER=2.7
-export PVER=python2.6
+export VER=2.7
+export NVER=2.8
+export PVER=python2.7
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.6.6-1~
+PREVVER := 2.7.1-1~
 
 PWD		:= $(shell pwd)
 
@@ -235,6 +235,12 @@
 	mkdir -p debian/python-dev/usr/bin
 	ln -sf python$(VER)-config debian/python-dev/usr/bin/python-config
 
+	: # provide pkgconfig defaults
+	mkdir -p debian/python-dev/usr/lib/pkgconfig
+	ln -sf python-$(VER).pc debian/python-dev/usr/lib/pkgconfig/python.pc
+	mkdir -p debian/python-dbg/usr/lib/pkgconfig
+	ln -sf python-$(VER)-dbg.pc debian/python-dbg/usr/lib/pkgconfig/python-dbg.pc
+
 	: # provide the python-dbg and python-dbg.1 defaults
 	mkdir -p debian/python-dbg/usr/bin
 	ln -sf python$(VER)-dbg debian/python-dbg/usr/bin/python-dbg
@@ -257,12 +263,3 @@
 	install -m 755 debian/idle.py debian/idle/usr/bin/idle
 
 	mkdir -p debian/idle/usr/share/man/man1
-	install -m 644 debian/idle.1 debian/idle/usr/share/man/man1/idle.1
-
-	mkdir -p debian/idle/usr/share/pixmaps
-	ln -sf python.xpm debian/python/usr/share/pixmaps/idle.xpm
-
-	mkdir -p debian/idle/usr/share/applications
-	cp -p debian/idle.desktop debian/idle/usr/share/applications/
-
-#	dh_installdebconf -i $(NOPKGS)

## python-defaults 2.7.2-7ubuntu2

=== debian/changelog ===
python-defaults (2.7.2-7ubuntu2) oneiric; urgency=low

  * Pull in dh_python2 fixes from Debian 2.7.2-9
    - Generate correct dependencies if private directory supports one Python
      version only (closes: #644573)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 08 Oct 2011 12:12:12 -0400

python-defaults (2.7.2-7ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Package priorities and status.
    - Adjust version numbers in maintainer scripts.
    - Provide Python pkgconfig defaults

 -- Scott Kitterman <scott@kitterman.com>  Thu, 06 Oct 2011 00:22:16 -0500

python-defaults (2.7.2-7) unstable; urgency=low

  * Adjust version numbers for upload to unstable.
  * python: Break update-manager (<= 0.200.5-1).

 -- Matthias Klose <doko@debian.org>  Tue, 27 Sep 2011 18:21:42 +0200

python-defaults (2.7.2-6) experimental; urgency=low

  [ Scott Kitterman ]
  * Fixed typo in python-policy (thanks to Jakub Wilk)

  [ Piotr Ożarowski ]
  * dh_python2:
    - handle private dir paths without leading slash
    - add python to Depends if unversioned python shebang is detected in
      private directory
    - dist_fallback: add /usr/share/python-support/package/ to paths searched
      for Egg metadata; add "wsgiref" and "python" fallbacks
    - do not try to remove .so.foo symlinks twice (if files were listed in an
      unfortunate order)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 24 Sep 2011 16:36:29 +0200

python-defaults (2.7.2-5ubuntu3) oneiric; urgency=low

  * Update from Debian to bzr r280.
  
  [ Piotr Ożarowski ]
  * avoid catching KeyboardInterrupt
  * really fix removing .so.foo symlinks twice issue

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 23 Sep 2011 19:32:58 -0400

python-defaults (2.7.2-5ubuntu2) oneiric; urgency=low

  [ Scott Kitterman ]
  * Update from Debian bzr
  * Fixed typo in python-policy (thanks to Jakub Wilk)

  [ Piotr Ożarowski ]
  * dh_python2:
    - handle private dir paths without leading slash
    - add python to Depends if unversioned python shebang is detected in
      private directory
    - dist_fallback: add /usr/share/python-support/package/ to paths searched
      for Egg metadata; add "wsgiref" and "python" fallbacks
    - do not try to remove .so.foo symlinks twice (if files were listed in an
      unfortunate order)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 22 Sep 2011 16:59:15 -0400

python-defaults (2.7.2-5ubuntu1) oneiric; urgency=low

  * Merge from Debian Experimental.  Remaining Ubuntu changes:
    - Package priorities and status.
    - Adjust version numbers in maintainer scripts.
    - Provide Python pkgconfig defaults

 -- Scott Kitterman <scott@kitterman.com>  Wed, 10 Aug 2011 22:19:46 -0400

python-defaults (2.7.2-5) experimental; urgency=low

  [ Piotr Ożarowski ]
  * dh_python2:
    - generates rtupdate scripts for private directories that compile files
      from given package only, add --compile-all to dh_python2's call if you
      want the old behaviour (i.e. compile also files (plugins?) provided by
      other packages, which do not use a helper/bytecompile them)
    - add --no-dbg-cleaning option (to disable removing files from debug
      packages)
    - fix handling "distname[features]" in debpython.pydist.guess_dependency
      (closes: 636255)
  * pyclean now accepts --package and private dir argument at the same time

  [ Scott Kitterman ]
  * debpyhton/pydist: Incorporate patch from Jonathan Lange to stop printing
    to stderr (LP: #812960)
  * Add Piotr Ożarowski <piotr@debian.org> back to Uploaders

 -- Scott Kitterman <scott@kitterman.com>  Mon, 08 Aug 2011 10:28:50 -0400

python-defaults (2.7.2-4ubuntu4) oneiric; urgency=low

  * Drop python-all* version requirements changes from Debian for python2.6
    now that python2.6 updated in Ubuntu

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Aug 2011 01:11:14 -0400

python-defaults (2.7.2-4ubuntu3) oneiric; urgency=low

  * Adjust python2.6 dependency requirements to fix installability

 -- Scott Kitterman <scott@kitterman.com>  Fri, 29 Jul 2011 18:33:14 -0400

python-defaults (2.7.2-4ubuntu2) oneiric; urgency=low

  * Relax the dependency to 2.6.7-2 until 2.6.7-3 is merged from Debian.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 29 Jul 2011 17:28:31 -0400

python-defaults (2.7.2-4ubuntu1) oneiric; urgency=low

  * Merge from Debian experimental.  Remaining changes:
    - Package priorities and status.
    - Adjust version numbers in maintainer scripts.

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 29 Jul 2011 13:55:57 -0400

python-defaults (2.7.2-4) experimental; urgency=low

  [ Piotr Ożarowski ]
  * dh_python2:
    - no longer moves .so.foo files to pyshared dir (closes: 635316)
    - replaces .so symlinks with .so.foo files in dist-packages

  [ Scott Kitterman ]
  * Drop python2 symlink pending further discussion (closes: 634967)
  * Update recent Python policy changes based on feedback from Debian Python

 -- Scott Kitterman <scott@kitterman.com>  Wed, 27 Jul 2011 10:15:38 -0400

python-defaults (2.7.2-3) experimental; urgency=low

  * python: Provide python profiler.
  * Provide a python2 symlink according to PEP 394.
  * Bump standards version.
  * Fix some lintian warnings.
  * Add 2to3.1 manual page symlink.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Jul 2011 20:57:27 +0200

python-defaults (2.7.2-2) experimental; urgency=low

  [ Piotr Ożarowski ]
  * dh_python2:
    - no longer generates maintainer scripts that invoke pycentral's
      pkgremove script, use --clean-pycentral if you want the old behaviour
    - egg-info directories are parsed even if cleaning the name was necessary
      (thanks to Arnaud Fontaine for the patch)
    - private directory names with apostrophes are escaped properly in
      maintainer script's -X arguments (thanks to Jakub Wilk for the patch)
    - deal with original symlinks more carefully (closes: 627969, thanks to
      Leonid Borisenko for the original patch)


=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Scott Kitterman <scott@kitterman.com>, Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper (>= 6.0.7~)
 Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils (>= 0.4-3)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.python.org/
 Vcs-Bzr: http://alioth.debian.org/anonscm/bzr/pkg-python/python-defaults-debian
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python-defaults-debian/files
@@ -14,12 +14,12 @@
 Package: python
 Architecture: all
 Priority: important
-Depends: ${misc:Depends}, python2.7 (>= 2.7.1-1~), python-minimal (= ${binary:Version})
-Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version}), python-profiler (= ${binary:Version})
+Depends: ${misc:Depends}, python2.7 (>= 2.7.2-3~), python-minimal (= ${binary:Version})
+Suggests: python-doc (= ${binary:Version}), python-tk (= ${binary:Version})
 Conflicts: python-central (<< 0.5.5)
-Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3)
+Breaks: python-csv (<< 1.0-4), python-bz2 (<< 1.1-8), python-email (<< 2.5.5-3), update-manager (<= 0.200.5-1)
 Replaces: python-dev (<< 2.6.5-2)
-Provides: python-email, python-ctypes, python-wsgiref, python-importlib
+Provides: python-email, python-ctypes, python-wsgiref, python-importlib, python-profiler
 Description: interactive high-level object-oriented language (default version)
  Python, the high-level, interactive object oriented language,
  includes an extensive class library with lots of goodies for
@@ -32,7 +32,7 @@
 Architecture: all
 Essential: yes
 Priority: required
-Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.1-1~), dpkg (>= 1.13.20)
+Depends: ${misc:Depends}, python2.7-minimal (>= 2.7.2-3~), dpkg (>= 1.13.20)
 Recommends: python
 Conflicts: python-central (<< 0.5.5)
 Breaks: python (<= 2.4-1), python-dev (<< 2.6), python-dbg (<< 2.6), python-all (<< 2.6), python-all-dev (<< 2.6), python-all-dbg (<< 2.6), python-examples (<< 2.6), idle (<< 2.6), python2.5-minimal (<< 2.5.5-7), python2.6-minimal (<< 2.6.5~rc2-2), python3.1-minimal (<< 3.1.2~rc1-2), python-support (<< 1.0.10ubuntu2)
@@ -45,7 +45,7 @@
 
 Package: python-examples
 Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-examples (>= 2.7.1-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-examples (>= 2.7.2-3~)
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -55,7 +55,7 @@
 
 Package: python-dev
 Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dev (>= 2.7.1-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dev (>= 2.7.2-3~)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
  Python modules, extending the Python interpreter or embedding Python
@@ -78,7 +78,7 @@
 Package: python-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, python2.7-doc (>= 2.7.1-1~)
+Depends: ${misc:Depends}, python2.7-doc (>= 2.7.2-3~)
 Suggests: python-examples, python (= ${binary:Version})
 Breaks: python (<< 2.3.5)
 Replaces: python (<< 2.3.5)
@@ -104,7 +104,7 @@
 Architecture: all
 Section: debug
 Priority: extra
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dbg (>= 2.7.1-1~)
+Depends: ${misc:Depends}, python (= ${binary:Version}), python2.7-dbg (>= 2.7.2-3~)
 Provides: python-gdbm-dbg, python-tk-dbg
 Description: debug build of the Python Interpreter (version 2.7)
  Python interpreter configured with --pydebug. Dynamically loaded modules are
@@ -112,7 +112,7 @@
 
 Package: python-all
 Architecture: all
-Depends: ${misc:Depends}, python (= ${binary:Version}), python2.6 (>= 2.6.5-2), python2.7 (>= 2.7-7)
+Depends: ${misc:Depends}, python (= ${binary:Version}), python2.6 (>= 2.6.7-3), python2.7 (>= 2.7.2-3)
 Description: package depending on all supported Python runtime versions
  The package currently depends on python2.6 and python2.7, in the future,
  dependencies on jython (Python for a JVM) and ironpython (Python for Mono)

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python2.7
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 2.7.1-1~
+PREVVER := 2.7.2-3~
 
 PWD		:= $(shell pwd)
 
@@ -37,6 +37,8 @@
 endif
 
 build: stamp-build
+build-arch: stamp-build
+build-indep: stamp-build
 stamp-build:
 	touch stamp-build
 
@@ -149,7 +151,7 @@
 	dh_installdirs
 	make check_versions
 	DESTDIR=debian/python PREFIX=/usr make install-dev
-	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime
+	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime manpages
 	# disabled by default, run manually if you want to update it
 	# (requires apt-file and network connection)
 	#make -C pydist dist_fallback
@@ -204,6 +206,8 @@
 		debian/python/usr/share/man/man1/pygettext.1.gz
 	ln -sf pdb$(VER).1.gz \
 		debian/python/usr/share/man/man1/pdb.1.gz
+	ln -sf 2to3-$(VER).1.gz \
+		debian/python/usr/share/man/man1/2to3.1.gz
 
 	mkdir -p debian/python/usr/share/doc/python
 	cp -a debian/python-policy.{html,sgml,txt} \
@@ -260,6 +264,3 @@
 
 	: # provide the idle and idle.1 defaults
 	mkdir -p debian/idle/usr/bin
-	install -m 755 debian/idle.py debian/idle/usr/bin/idle
-
-	mkdir -p debian/idle/usr/share/man/man1

## python-defaults 2.7.2-8

=== tests/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # enable or disable tests here:
-TESTS := test1 test2 test3
+TESTS := test1 test2 test3 test4 test5
 
 all: $(TESTS)

=== debian/changelog ===
python-defaults (2.7.2-8) unstable; urgency=high

  * Fix update-manager Breaks (Closes: #644491)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 06 Oct 2011 15:48:06 -0500

## python-defaults 2.7.2-9

=== debian/changelog ===
python-defaults (2.7.2-9) unstable; urgency=low

  * Generate correct dependencies if private directory supports one Python
    version only (closes: #644573)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 08 Oct 2011 17:16:46 +0200
